package com.jeeplus.pubmodules.knowledge.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;


import com.jeeplus.pubmodules.knowledge.domain.KnowledgeShareType;
import com.jeeplus.pubmodules.knowledge.service.dto.KnowledgeShareTypeDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KnowledgeShareTypeMapper extends BaseMapper<KnowledgeShareType> {

    IPage<KnowledgeShareTypeDto> findList(Page<KnowledgeShareTypeDto> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper, @Param("type") String type);

    List<KnowledgeShareType> checkList(@Param("type")KnowledgeShareType type,@Param("companyId")String companyId);

}
