package com.jeeplus.centrecareful.reportArchieve.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class ZsReportArchieveTem extends BaseEntity {
    @ExcelProperty("序号")
    private String number111;

    @ExcelProperty("部门名称")
    private String officeName;  //部门名称

    @ExcelProperty("企业名称(审计报告上被审计单位名称)")
    private String businessName;    //企业名称(审计报告上被审计单位名称)

    @ExcelProperty("业务类型(审计、审阅、专项、验资、尽调、其他)")
    private String businessType;    //业务类型

    @ExcelProperty("项目")
    private String project; //项目

    @ExcelProperty("报告文号")
    private String reportNo;    //报告文号

    @ExcelProperty("报告涵盖期间")
    private String reportingPeriod; //报告涵盖期间

    @ExcelProperty("归档经办人")
    private String fillingManager;  //归档经办人

    @ExcelProperty("项目经理")
    private String projectLeader;   //项目经理

    @ExcelProperty("项目负责人")
    private String projectMaster;   //项目负责人

    @ExcelProperty("签字注册会计师")
    private String signatureCpa;    //签字注册会计师

    @ExcelProperty("签字合伙人")
    private String signatureParter; //签字合伙人

    @ExcelProperty("项目等级")
    private String projectLevel;    //项目等级


    @ExcelProperty(value = "报告日期")
    private Date reportDate;


    @ExcelProperty(value = "盖章日期")
    private Date stampDate;


    @ExcelProperty(value = "归档日期")
    private Date archieveDate;    //归档日期

    @ExcelProperty("档案盒号")
    private String fileBoxNumber;   //档案盒号

    @ExcelProperty("盒数")
    private String boxNumber;   //盒数

    @ExcelProperty("本数")
    private String bookNumbers; //本数

    @ExcelProperty("备注")
    private String remarks; //备注

    @ExcelProperty("合同原件")
    private String originalContract;    //合同原件

    @ExcelProperty("资产总额(万元)")
    private String totalAssets; //资产总额(万元)

    @ExcelProperty("归档接收人")
    private String archieveResever; //归档接收人

    @ExcelProperty("存放地点(区位码)")
    private String storagePlace;    //存放地点(区位码)
}
