package com.jeeplus.finance.invoice.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.jeeplus.core.service.dto.BaseDTO;
import lombok.Data;

@Data
public class CwFinanceImportDTO extends BaseDTO {
    @Excel(name = "报告号",width = 25)
    private String reportNo;

    @Excel(name = "项目名称",width = 25)
    private String projectNo;

    @Excel(name = "*项目开票金额",width = 16)
    private String baseAccount;

    @Excel(name = "*发票类型",width = 20)
    private String type;

    @Excel(name = "*开票类型",width = 25,orderNum = "6")
    private String billingType;

    @Excel(name = "*单位名称",width = 25)
    private String billingWorkplaceReal;

    @Excel(name = "纳税人识别号",width = 25)
    private String taxpayerIdentificationNo;

    @Excel(name = "地址",width = 25)
    private String address;

    @Excel(name = "电话",width = 25)
    private String telPhone;

    @Excel(name = "*开户银行名称",width = 25)
    private String openBank;

    @Excel(name = "银行账号",width = 25)
    private String bankAccount;

    @Excel(name = "关联红字发票的发票编号",width = 25)
    private String redInvoiceRelevancyNumber;

    @Excel(name = "*开票内容",width = 30)
    private String billingContent;

    @Excel(name = "开票内容要求",width = 30)
    private String billingContentTerms;

    @Excel(name = "实际开票人",width = 30)
    private String billingPeopleRealName;

    @Excel(name = "接收邮箱",width = 30)
    private String actualDrawerEmailAddress;

    @Excel(name = "对账人",width = 30)
    private String reconciliationPeopleName;

    @Excel(name = "对账地区",width = 30)
    private String reconciliationArea;

}
