package com.jeeplus.human.depart.handover.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

/**
 * 项目移交
 * @author hgc
 * @version 1.0
 */
@Data
@TableName("human_resources_depart_handover_project")
public class HandoverProject extends BaseEntity {
    //    项目ID
    private String projectId;
    //    项目编号
    private String projectNumber;
    //    项目名称
    private String projectName;
    //    报告号
    private String reportCode;
    //    所在节点
    private String nodeLocation;
    //    类型
    private String type;
    //离职交接记录ID
    private String handoverId;
    //创建人
    private String createProjectUserId;

    @TableField(exist = false)
    private  String createName;

}
