package com.jeeplus.human.depart.handover.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.human.depart.handover.domain.Handover;
import com.jeeplus.human.depart.handover.domain.HandoverProject;
import com.jeeplus.human.depart.handover.domain.dto.HandoverProjectDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
@InterceptorIgnore(tenantLine = "true")
public interface HandoverProjectMapper extends BaseMapper<HandoverProject> {

    /**
     * 固定保存项目
     * @return
     */
    void saveProject(@Param("handoverProject")List<HandoverProject> handoverProject);

    /**
     * 获取固定项目信息
     * @return
     */
    IPage<HandoverProject> findProjectList(Page<HandoverProject> page, @Param(Constants.WRAPPER) QueryWrapper queryWrapper);

}

